[BITS 32]

;      IDE

call 	0x00000000		; Call EbMode
test	al,al			; If EbMode()=0 
je	ClearHeap		; Then Goto ClearHeap		
cmp	al,1			; ElseIf EbMode()=1 
je	NormalMode		; Then GoTo NormalMode

DefProc:

push    dword [esp+0x10]	; lParam
push 	dword [esp+0x10]	; wParam
push	dword [esp+0x10]	; Msg
push	dword [esp+0x10]	; hWnd
call    0x00000000		; Else DefSubclassProc
ret	0x18			

;    
ClearHeap:

dec	dword [0x00000000]	;   
push	0x12345678		; uIdSubclass
push	0x12345678		; pfnSubclass
push	dword [esp+0xc]		; hWnd
call	0x00000000		; RemoveWindowSubclass
jmp	DefProc

;  ,   Me   

NormalMode:

xor	eax,eax			; eax = 0
push   	eax			; ret = 0
push   	esp			; *ret
or	esp,esp			; ZF = 0
lea	ecx, [eax + 0x6]	; ecx = 4
	Cycle:			; Do
	push	dword [esp+0x20];   
	loopne	Cycle		; ecx-=1:Loop While ecx
push	0x12345678		; Me
call	0x00000000		;  
pop	eax			;     

ret 	0x18			; 
	








