VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "TrickSubclass2 test"
   ClientHeight    =   4575
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   5250
   LinkTopic       =   "Form1"
   ScaleHeight     =   305
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   350
   StartUpPosition =   3  'Windows Default
   Begin prjSubclassTest.uctl uctl1 
      Height          =   1035
      Left            =   960
      TabIndex        =   0
      Top             =   1020
      Width           =   2775
      _extentx        =   4895
      _extenty        =   1826
   End
   Begin VB.Menu mnuPopup 
      Caption         =   ""
      Visible         =   0   'False
      Begin VB.Menu mnu1 
         Caption         =   "Subclassing"
      End
      Begin VB.Menu mnu2 
         Caption         =   "by the trick"
      End
      Begin VB.Menu mnu3 
         Caption         =   "-~=2014=~-"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type POINTAPI
    x               As Long
    y               As Long
End Type
Private Type MINMAXINFO
    ptReserved      As POINTAPI
    ptMaxSize       As POINTAPI
    ptMaxPosition   As POINTAPI
    ptMinTrackSize  As POINTAPI
    ptMaxTrackSize  As POINTAPI
End Type

Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)

Private Const WM_GETMINMAXINFO  As Long = &H24
Private Const WM_MOUSEWHEEL     As Long = &H20A

Dim WithEvents FormHook  As clsTrickSubclass2
Attribute FormHook.VB_VarHelpID = -1

Dim WheelValue  As Long

Private Sub Form_Load()

    Set FormHook = New clsTrickSubclass2
    FormHook.Hook Me.hWnd
    WheelValue = 100

End Sub

Private Sub Form_Paint()
    Cls
    Print
    Print "1. Change form size."
    Print "2. Scroll mouse wheel."

    Circle (ScaleWidth / 2, ScaleHeight / 2), WheelValue
End Sub

Private Sub Form_Resize()
    Refresh
End Sub

Private Sub FormHook_WndProc( _
            ByVal hWnd As Long, _
            ByVal Msg As Long, _
            ByVal wParam As Long, _
            ByVal lParam As Long, _
            ByRef Ret As Long, _
            ByRef DefCall As Boolean)

    Select Case Msg
    Case WM_GETMINMAXINFO
        Dim MinMax As MINMAXINFO

        CopyMemory MinMax, ByVal lParam, Len(MinMax)
        MinMax.ptMaxTrackSize.x = 500   ' Maximum size 500500
        MinMax.ptMaxTrackSize.y = 500
        MinMax.ptMinTrackSize.x = 250   ' Minimum size 350350
        MinMax.ptMinTrackSize.y = 250
        CopyMemory ByVal lParam, MinMax, Len(MinMax)
    Case WM_MOUSEWHEEL
        Dim dir As Long

        dir = (wParam And &HFFFF0000) \ &H780000

        WheelValue = WheelValue + dir
        Refresh

    Case Else
        DefCall = True
    End Select

End Sub
